/**
 * @file
 * Visual styles for Libretto Stream.
 */

.libretto-stream {
  margin: 0 -15px 0 -15px;
}

.libretto-stream-header {
  margin-bottom: 5px;
}

/* Aspect ratio 3:1 */
div.libretto-article-ratio {
  background-repeat: no-repeat;
  background-position: center;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  position: relative;
  width: auto;
  margin-bottom: 2px;
}
div.libretto-article-ratio:before {
	content: "";
	display: block;
	padding-top: 66%;
}
div.libretto-article-content {
	position: relative;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
}
div.libretto-article-overlay {
  background-color: rgba(0, 0, 0, 0.25);
  width: 100%;
  padding: 10px;
  position: absolute;
  bottom: 0;
}

h1.libretto-article-title,
h1.libretto-article-title a,
h2.libretto-article-title,
h2.libretto-article-title a {
  font-size: 1em;
  font-weight: 400;
  color: white !important;
  text-transform: none;
  text-shadow: black 1px 1px 2px;
  border: 0 !important;
  margin: 0 0 3px 0 !important;
  padding: 0 !important;
}
@media (min-width: 767px) and (max-width: 1199px) {
  h1.libretto-article-title,
  h1.libretto-article-title a,
  h2.libretto-article-title,
  h2.libretto-article-title a {
    font-size: 0.8em;
    line-height: 1;
  }
}
h1.libretto-article-title a:hover,
h2.libretto-article-title a:hover {
  opacity: 0.8;
  filter: alpha(opacity=80);
  -webkit-transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
  -ms-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}
.libretto-article-byline {
  font-size: 0.8em;
  font-weight: 600;
  color: white;
  float: left;
  padding: 0;
}
.libretto-article-posted {
  font-size: 0.8em;
  font-weight: 400;
  color: white;
  float: right;
  padding: 0;
}

.blk-teaser {
  overflow :auto;
  width: 100%;
}
h1.blk-teaser-title,
h2.blk-teaser-title,
h3.blk-teaser-title,
h4.blk-teaser-title,
h5.blk-teaser-title,
h6.blk-teaser-title {
  padding: 0 50px 5px 0;
}
.blk-teaser-left {
  float: left;
  width: 30%;
}
.blk-teaser-meta {
  padding-right: 20px;
}
.blk-teaser-left .node-side {
  float: right;
  top: 0;
  right: 0;
  text-align: right;
  width: auto;
}
.blk-teaser-right {
  float: right;
  width: 70%;
}

div.blk-article-ratio {
  background-repeat: no-repeat;
  background-position: center;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  position: relative;
  width: auto;
  margin: -20px -15px 2px -15px;
}
div.blk-article-content {
	position: relative;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
}
div.blk-article-ratio:before {
	content: "";
	display: block;
	padding-top: 55%;
}
h1.blk-article-title,
h1.blk-article-title a,
h2.blk-article-title,
h2.blk-article-title a {
  font-size: 2.75em;
  font-weight: 400;
  color: white !important;
  text-transform: none;
  text-shadow: black 1px 1px 2px;
  border: 0 !important;
  margin: 0 !important;
  padding: 0 !important;
}
@media (max-width: 767px) {
  h1.blk-article-title,
  h1.blk-article-title a,
  h2.blk-article-title,
  h2.blk-article-title a {
    font-size: 1em;
  }
}
h1.blk-article-title a:hover,
h2.blk-article-title a:hover {
  opacity: 0.8;
  filter: alpha(opacity=80);
  -webkit-transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
  -ms-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}
div.blk-article-overlay {
  background-color: rgba(0, 0, 0, 0.25);
  width: 100%;
  padding: 20px 20px 10px 20px;
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
}
div.blk-teaser-meta {
  margin-top: 15px;
}
.blk-metadata {
  display: block;
  position: relative;
  top: 30px;
  text-align: right;
  color: #aaa;
  font-size: 0.8em;
  z-index: 9;
  pointer-events: none;
}
.field--name-field-datetime,
.field--name-field-location,
.field--name-field-guests,
.field--name-field-host {
  margin-bottom: 5px;
}
.libretto-dashboard-column {
  margin: 0 0 0 25px;
}

td .libretto-dashboard-title {
  font-size: 1.2em;
  margin: 0;
}
td .libretto-dashboard-body {
  font-size: 80%;
}
.view-libretto-news-column tr td:first-of-type {
  margin: 0;
  padding: 0 5px 0 0;
}
.view-libretto-news-preview {
  margin-left: -15px;
}
.libretto-news--warning {
  color: red;
}

.old-simplenews-libretto td {
  border: 0;
}
.old-simplenews-libretto h2.libretto-column {
  font-family: 'Arimo', sans-serif;
  color: white;
  font-size: 1em;
  padding: 10px 10px 5px 10px;
  line-height: 1;
  background-color: #314e99;
  display: inline-block;
  margin: 10px 0;
  text-transform: uppercase;
  min-width: 50%;
}
.old-simplenews-libretto table.libretto-news {
  width: 100%;
}
.old-simplenews-libretto td.libretto-image {
  width: 40%;
  padding-right: 0;
}
.old-simplenews-libretto td.libretto-image img {
  object-fit: cover;
}
.old-simplenews-libretto h2.libretto-title {
  margin-top: 0;
}

@media (max-width: 767px) {
  .blk-teaser-left,
  .blk-teaser-left .node-side,
  .blk-teaser-right,
  .blk-teaser-right .node-side {
    float: none;
    width: 100%;
  }
  .user-info {
    text-align: left;
  }
}

#block-editortools, .block-libretto-news {
}

.libretto-news-column-draggable-list a.tabledrag-handle {
  float: none;
}
.libretto-news-column-draggable-list a.tabledrag-handle .handle {
  height: 24px;
  width: 24px;
}
.libretto-news-column-draggable-list table .dropbutton-multiple {
  max-width: unset;
  margin-right: unset;
}
.libretto-news-column-draggable-list td:has(.tabledrag-handle) {
  display: table;
  height: 100%;
  cursor: row-resize;
}
.libretto-news-column-draggable-list td:has(.tabledrag-handle) > * {
  display: table-cell;
  vertical-align: middle;
}